package com.bing.service;





import com.bing.bean.User;
import com.bing.dao.UserDao;
import com.bing.dao.UserDaoImpl;

public class UserServiceImpl implements UserService {
    private final UserDao userDao = new UserDaoImpl();

    /**
     * insertUser: 实现注册功能
     */
    @Override
    public int insertUser(String email, String pwd, String userRePwd) {
        if (email == null || email.isEmpty() || pwd == null || pwd.isEmpty() || userRePwd == null || userRePwd.isEmpty()) {
            return 0;
        }
        if (!pwd.equals(userRePwd)) {
            return 0;
        }

        return userDao.insert(email, pwd);
    }

    /**
     * judgeLogin: 登录判断
     */
    @Override
    public int judgeLogin(String email, String pwd) {
        if (email == null || email.isEmpty() || pwd == null || pwd.isEmpty()) {
            return 0;
        }

        User user = userDao.selectByName(email);

        return user != null && pwd.equals(user.getPwd()) ? 1 : 0;
    }

}
